function [param_other,test_mos]=computefeatures_otherDatabases(db_index,jpeg_index)

db_all = { 'live' 'csiq' 'tid' 'tid2013' 'ivc' 'a57' 'toyama'}; % database name
db_idx   = db_index;   % index of database
jpeg_idx = jpeg_index;   % jpeg index: live-2, csiq-5, tid-8, ivc-3, a57-5,tid2013-8
db = db_all{db_idx};

fname = sprintf( 'D:/iqa-db/%s', db );
load( sprintf( 'D:/iqa-db/data/%s_info', db ) );  % load database info.

%% load database info.
fname = sprintf('D:/iqa-db/%s', db );
load( sprintf( 'D:/iqa-db/data/%s_info', db ) );
ndis = dst_name;  % distortion image info.

mos = mos';%------------------------------

param_jpeg  =  [];

% scalenum = 2;


tic;

img_num = length(ndis);
idx=0; % jpeg image index initialization

for img_idx = 1 : img_num;
    if noise_idx(img_idx) == jpeg_idx   % if distortion is jpeg, go on
        idx = idx+1                     % show progress
        
        %% read jpeg image
        dis_name = ndis{img_idx};
        img = imread( sprintf( '%s\\%s', fname, dis_name ) );

                %img = img(3:end, 3:end,:); % 񲻶=============================================================
        
%% corner feature
% imshow(img);
% hold on
if size(img,3)==3            %ǲɫͼ񣬱תΪҶ
    img1=rgb2gray(img);
end
p =  corner(img1,'MinimumEigenvalue',1000000,'FilterCoefficients',fspecial('gaussian',[3 1],0.5),'QualityLevel',0.0005);

% plot(p(:,1),p(:,2),'b.','MarkerSize',3);
% c=p(((mod(p(:,1),8)==1)|(mod(p(:,1),8)==0)|(mod(p(:,1),8)==7))&((mod(p(:,2),8)==1)|(mod(p(:,2),8)==0)|(mod(p(:,2),8)==7)));
c2=p(((mod(p(:,1),8)==1)|(mod(p(:,1),8)==0))&((mod(p(:,2),8)==1)|(mod(p(:,2),8)==0)));
% c3=p(((mod(p(:,1),8)==0)&((mod(p(:,2),8)==2)|(mod(p(:,2),8)==6)))|((mod(p(:,2),8)==0)&((mod(p(:,1),8)==2)|(mod(p(:,2),1)==6))));
q1=length(c2);
q2=length(p);
%q3(x)=q2(x)*(9/64);
corners=sqrt(q1/q2);
%% gard feature
if size(img,3)==3 %ǲɫͼ񣬱תΪҶ
    img1=rgb2gray(img);
end
clear s;
%img=im2double(img);
[N, M]=size(img1);           %ͼƬСp
a=fix(N/8);
b=fix(M/8);
c=0.00000000001;
h=(1/16)*[-3 -10 -3;0 0 0;3 10 3];      %Sobel Ӥl
Dh=abs(filter2(h,img1));           %ݶGx  
Dv=abs(filter2(h',img1));          %ݶGy
D=sqrt(Dh.^2+Dv.^2);
for i=1:a
    for j=1:b
        Bh=Dh((i-1)*8+1:i*8,(j-1)*8+1:j*8);
        Bv=Dv((i-1)*8+1:i*8,(j-1)*8+1:j*8);
        B=D((i-1)*8+2:i*8-1,(j-1)*8+2:j*8-1);
        s1=(((sum(Bh(1,2:7))+sum(Bh(8,2:7)))+(sum(Bv(2:7,1))+sum(Bv(2:7,8))))/24)^2;
        s2=(sum(sum(B))/(sqrt(2)*36))^2;
        MM=max(s1,s2);
        s(i,j)=((s1-s2+c)/(MM+c));
    end
end
grads=mean(mean(s));
%% color feature
hsi=rgb2hsi(img);
S=hsi(:,:,2);
I=hsi(:,:,3);
h=a*b;
z=0;
for i=1:a;
     for j=1:b;
          BK1=S((i-1)*8+1:i*8,(j-1)*8+1:j*8+0);    %Ͷͼ
          BK2=I((i-1)*8+1:i*8,(j-1)*8+1:j*8+0);    %ͼ
          if sum(sum(BK1))==0 &&sum(sum(BK2))<=58.6&&sum(sum(BK2))>=6.4                          %Ƿȫʧɫ
               z=z+1;
          end
     end
end
colors=sqrt(z/h);
param_jpeg(idx,:)=[corners,grads,colors];

    else
        continue;
    end
end
toc;

[row,col] = find(noise_idx == jpeg_idx); 
test_mos=mos(row);
param_other=param_jpeg;

%  for LIVE only
% if strcmp(db,'live')
%     [row,col] = find(test_mos~=0);
%     test_mos = test_mos(col);
%     param_other=param_jpeg(col,:);
% end


